Diligent Engine API Reference: Diligent::BufferViewD3D12Impl Class Reference

Diligent Engine API Reference

Public Member Functions | List of all members
Diligent::BufferViewD3D12Impl Class Reference

Implementation of the Diligent::IBufferViewD3D12 interface. More...

Inheritance diagram for Diligent::BufferViewD3D12Impl:

## Public Member Functions
virtual void | QueryInterface (const Diligent::INTERFACE_ID &IID, IObject **ppInterface)
| Queries the specific interface, see IObject::QueryInterface() for details.
virtual D3D12_CPU_DESCRIPTOR_HANDLE | GetCPUDescriptorHandle () override
| Returns CPU descriptor handle of the buffer view.
Public Member Functions inherited from Diligent::BufferViewBase< IBufferViewD3D12 >
| BufferViewBase (IReferenceCounters *pRefCounters, IRenderDevice *pDevice, const BufferViewDesc &ViewDesc, IBuffer *pBuffer, bool bIsDefaultView)
virtual IBuffer * | GetBuffer () override final
| Implementation of IBufferView::GetBuffer()
Public Member Functions inherited from Diligent::DeviceObjectBase< IBufferViewD3D12, BufferViewDesc >
| DeviceObjectBase (IReferenceCounters *pRefCounters, IRenderDevice *pDevice, const BufferViewDesc &ObjDesc, bool bIsDeviceInternal=false)
virtual const BufferViewDesc & | GetDesc () const override final
UniqueIdentifier | GetUniqueID () const
| Returns unique identifier. More...
Public Member Functions inherited from Diligent::IDeviceObject
virtual void | QueryInterface (const INTERFACE_ID &IID, IObject **ppInterface)=0
| Queries the specific interface, see IObject::QueryInterface() for details.

## Additional Inherited Members
Protected Attributes inherited from Diligent::BufferViewBase< IBufferViewD3D12 >
IBuffer *const | m_pBuffer
| Pointer to the buffer.
RefCntAutoPtr< IBuffer > | m_spBuffer
| Strong reference to the buffer. Used for non-default views to keep the buffer alive.
Protected Attributes inherited from Diligent::DeviceObjectBase< IBufferViewD3D12, BufferViewDesc >
const String | m_ObjectNameCopy
| Copy of a device object name. More...
BufferViewDesc | m_Desc
| Object description.

## Detailed Description

Implementation of the Diligent::IBufferViewD3D12 interface.